Bug 1923038 - [OSP] Cloud Info is loaded twice
Summary: [OSP] Cloud Info is loaded twice
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.8.0
Assignee: Mike Fedosin
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-01 10:29 UTC by Mike Fedosin
Modified: 2021-07-27 22:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: the installer collected information about the cloud twice: first time for quota checking and the second one for regular validations. Consequence: there were double the number of requests to OpenStack API, which created an additional load on the cloud and increased the installation time. Fix: collect info about the cloud just once before quota checking, and then reuse it for the validations. Result: we don't see additional requests anymore, and the installation goes smoother.
Clone Of:
Environment:
Last Closed: 2021-07-27 22:37:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4606 0 None open Bug 1923038: OpenStack: cache cloud info 2021-02-10 16:33:58 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:38:06 UTC

Description Mike Fedosin 2021-02-01 10:29:37 UTC
Platform:
openstack IPI

What happened?

Installer loads cloud info for OpenStack platform twice: for base validations and for quota checking. This is not reasonable, because we just double the number of requests to OpenStack cloud.

What did you expect to happen?

We don't have to load this information again, and try to reuse what we get from the first time.

Comment 1 Martin André 2021-02-01 13:00:16 UTC
Let's defer to 4.8.

Comment 4 weiwei jiang 2021-03-05 09:26:44 UTC
verified with 4.8.0-0.nightly-2021-03-04-230423

time="2021-03-05T05:49:22Z" level=debug msg="OpenShift Installer 4.8.0-0.nightly-2021-03-04-230423"
time="2021-03-05T05:49:22Z" level=debug msg="Built from commit 805d78469eb0610a1e4d0299bc276691a646fbbf"
time="2021-03-05T05:49:22Z" level=debug msg="Fetching Master Machines..."
time="2021-03-05T05:49:22Z" level=debug msg="Loading Master Machines..."
time="2021-03-05T05:49:22Z" level=debug msg="  Loading Cluster ID..."
time="2021-03-05T05:49:22Z" level=debug msg="    Loading Install Config..."
time="2021-03-05T05:49:22Z" level=debug msg="      Loading SSH Key..."
time="2021-03-05T05:49:22Z" level=debug msg="      Loading Base Domain..."
time="2021-03-05T05:49:22Z" level=debug msg="        Loading Platform..."
time="2021-03-05T05:49:22Z" level=debug msg="      Loading Cluster Name..."
time="2021-03-05T05:49:22Z" level=debug msg="        Loading Base Domain..."
time="2021-03-05T05:49:22Z" level=debug msg="        Loading Platform..."
time="2021-03-05T05:49:22Z" level=debug msg="      Loading Networking..."
time="2021-03-05T05:49:22Z" level=debug msg="        Loading Platform..."
time="2021-03-05T05:49:22Z" level=debug msg="      Loading Pull Secret..."
time="2021-03-05T05:49:22Z" level=debug msg="      Loading Platform..."
time="2021-03-05T05:49:25Z" level=debug msg="    Using Install Config loaded from target directory"
time="2021-03-05T05:49:25Z" level=debug msg="  Loading Platform Credentials Check..."
time="2021-03-05T05:49:25Z" level=debug msg="    Loading Install Config..."
time="2021-03-05T05:49:25Z" level=debug msg="  Loading Install Config..."
time="2021-03-05T05:49:25Z" level=debug msg="  Loading Image..."
time="2021-03-05T05:49:25Z" level=debug msg="    Loading Install Config..."
time="2021-03-05T05:49:25Z" level=debug msg="  Loading Master Ignition Config..."
time="2021-03-05T05:49:25Z" level=debug msg="    Loading Install Config..."
time="2021-03-05T05:49:25Z" level=debug msg="    Loading Root CA..."
time="2021-03-05T05:49:25Z" level=debug msg="  Fetching Cluster ID..."
time="2021-03-05T05:49:25Z" level=debug msg="    Fetching Install Config..."
time="2021-03-05T05:49:25Z" level=debug msg="    Reusing previously-fetched Install Config"
time="2021-03-05T05:49:25Z" level=debug msg="  Generating Cluster ID..."
time="2021-03-05T05:49:25Z" level=debug msg="  Fetching Platform Credentials Check..."
time="2021-03-05T05:49:25Z" level=debug msg="    Fetching Install Config..."
time="2021-03-05T05:49:25Z" level=debug msg="    Reusing previously-fetched Install Config"
time="2021-03-05T05:49:25Z" level=debug msg="  Generating Platform Credentials Check..."
time="2021-03-05T05:49:25Z" level=info msg="Credentials loaded from file \"/home/jenkins/ws/workspace/ocp-common/Flexy-install/flexy/workdir/clouds.yaml.20210305-187-w4qweb\""
time="2021-03-05T05:49:25Z" level=debug msg="  Fetching Install Config..."
time="2021-03-05T05:49:25Z" level=debug msg="  Reusing previously-fetched Install Config"
time="2021-03-05T05:49:25Z" level=debug msg="  Fetching Image..."
time="2021-03-05T05:49:25Z" level=debug msg="    Fetching Install Config..."
time="2021-03-05T05:49:25Z" level=debug msg="    Reusing previously-fetched Install Config"
time="2021-03-05T05:49:25Z" level=debug msg="  Generating Image..."
time="2021-03-05T05:49:25Z" level=debug msg="  Fetching Master Ignition Config..."
time="2021-03-05T05:49:25Z" level=debug msg="    Fetching Install Config..."
time="2021-03-05T05:49:25Z" level=debug msg="    Reusing previously-fetched Install Config"
time="2021-03-05T05:49:25Z" level=debug msg="    Fetching Root CA..."
time="2021-03-05T05:49:25Z" level=debug msg="    Generating Root CA..."
time="2021-03-05T05:49:25Z" level=debug msg="  Generating Master Ignition Config..."
......
time="2021-03-05T05:49:38Z" level=debug msg="Fetching Cluster..."
time="2021-03-05T05:49:38Z" level=debug msg="Loading Cluster..."
time="2021-03-05T05:49:38Z" level=debug msg="  Loading Cluster ID..."
time="2021-03-05T05:49:38Z" level=debug msg="  Loading Install Config..."
time="2021-03-05T05:49:38Z" level=debug msg="  Loading Platform Credentials Check..."
time="2021-03-05T05:49:38Z" level=debug msg="  Loading Platform Permissions Check..."
time="2021-03-05T05:49:38Z" level=debug msg="    Loading Install Config..."
time="2021-03-05T05:49:38Z" level=debug msg="  Loading Platform Provisioning Check..."
time="2021-03-05T05:49:38Z" level=debug msg="    Loading Install Config..."
time="2021-03-05T05:49:38Z" level=debug msg="  Loading Platform Quota Check..."
time="2021-03-05T05:49:38Z" level=debug msg="    Loading Install Config..."
time="2021-03-05T05:49:38Z" level=debug msg="    Loading Master Machines..."
time="2021-03-05T05:49:38Z" level=debug msg="    Loading Worker Machines..."
time="2021-03-05T05:49:38Z" level=debug msg="  Loading Terraform Variables..."
time="2021-03-05T05:49:38Z" level=debug msg="  Loading Kubeadmin Password..."
time="2021-03-05T05:49:38Z" level=debug msg="  Fetching Cluster ID..."
time="2021-03-05T05:49:38Z" level=debug msg="  Reusing previously-fetched Cluster ID"
time="2021-03-05T05:49:38Z" level=debug msg="  Fetching Install Config..."
time="2021-03-05T05:49:38Z" level=debug msg="  Reusing previously-fetched Install Config"
time="2021-03-05T05:49:38Z" level=debug msg="  Fetching Platform Credentials Check..."
time="2021-03-05T05:49:38Z" level=debug msg="  Reusing previously-fetched Platform Credentials Check"
time="2021-03-05T05:49:38Z" level=debug msg="  Fetching Platform Permissions Check..."
time="2021-03-05T05:49:38Z" level=debug msg="    Fetching Install Config..."
time="2021-03-05T05:49:38Z" level=debug msg="    Reusing previously-fetched Install Config"
time="2021-03-05T05:49:38Z" level=debug msg="  Generating Platform Permissions Check..."
time="2021-03-05T05:49:38Z" level=debug msg="  Fetching Platform Provisioning Check..."
time="2021-03-05T05:49:38Z" level=debug msg="    Fetching Install Config..."
time="2021-03-05T05:49:38Z" level=debug msg="    Reusing previously-fetched Install Config"
time="2021-03-05T05:49:38Z" level=debug msg="  Generating Platform Provisioning Check..."
time="2021-03-05T05:49:38Z" level=debug msg="  Fetching Platform Quota Check..."
time="2021-03-05T05:49:38Z" level=debug msg="    Fetching Install Config..."
time="2021-03-05T05:49:38Z" level=debug msg="    Reusing previously-fetched Install Config"
time="2021-03-05T05:49:38Z" level=debug msg="    Fetching Master Machines..."
time="2021-03-05T05:49:38Z" level=debug msg="    Reusing previously-fetched Master Machines"
time="2021-03-05T05:49:38Z" level=debug msg="    Fetching Worker Machines..."
time="2021-03-05T05:49:38Z" level=debug msg="    Reusing previously-fetched Worker Machines"
time="2021-03-05T05:49:38Z" level=debug msg="  Generating Platform Quota Check..."

Comment 8 errata-xmlrpc 2021-07-27 22:37:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.